Bug 1595924 - production.log filled with too many no route errors for rhsm/consumer URLs for accessible_content calls
Summary: production.log filled with too many no route errors for rhsm/consumer URLs fo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Released
Assignee: Brad Buckingham
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-27 19:27 UTC by sthirugn@redhat.com
Modified: 2019-10-07 17:17 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.30-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:34 UTC
Foreman Issue Tracker 26350 None None None 2019-03-13 20:20:17 UTC

Description sthirugn@redhat.com 2018-06-27 19:27:40 UTC
Description of problem:
production.log filled with too many no route errors for rhsm/consumer URLs for accessible_content calls

Version-Release number of selected component (if applicable):
Satellite 6.3.1

How reproducible:
Always

Steps to Reproduce:
Recently while analyzing a customer log, I saw a lot of Routing errors for the accessible_content api call similar to:

2018-06-20 03:37:05 81f8d85c [app] [I] Started GET "/rhsm/consumers/cfe19c3a-3250-4fec-98fe-785ed71eb6c5/accessible_content" for 169.36.64.55 at 2018-06-20 03:37:05 +0200
2018-06-20 03:37:05 81f8d85c [app] [F] 
 | ActionController::RoutingError (No route matches [GET] "/rhsm/consumers/cfe19c3a-3250-4fec-98fe-785ed71eb6c5/accessible_content"):
 |   lib/middleware/tagged_logging.rb:18:in `call'
 | 
 | 

# cat production.log | grep RoutingError | wc -l
35954

Actual results:
Flooding of errors, about 36k in the production.log for one day.

Expected results:
No Route errors

Additional info:
When I randomly reviewed few content hosts, they were all rhel 7.1, 7.3 but note that I reviewed about 15 vs. 36k

Comment 3 sthirugn@redhat.com 2018-07-02 21:04:58 UTC
This should be reproducible by doing a subscription-manager refresh as mentioned in the other bug - https://bugzilla.redhat.com/show_bug.cgi?id=1449570#c2

Comment 12 Brad Buckingham 2019-03-13 20:20:16 UTC
Created redmine issue https://projects.theforeman.org/issues/26350 from this bug

Comment 15 vijsingh 2019-03-26 07:09:40 UTC
ON_QA verified:

@Satellite 6.5.0 snap 21

Steps/Observation:
 - Upgrade a Satellite from 6.4.2 GA to Satellite 6.5.0 snap 21 which has pre-registered content host on it.
 - After upgrade unable to see 'ActionController::RoutingError' during 'subscription-manager refresh'.

Comment 17 John Todd 2019-05-13 16:21:52 UTC
Will this fix be backported to Satellite 6.4.x? My customer has just updated to 6.4.3 and will not be going to 6.5 when it first releases. 

John

Comment 20 errata-xmlrpc 2019-05-14 12:37:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.